Summary:        A minimalists web browser
Name:           xombrero
Version:        1.4.0
Release:        %mkrel 2
License:        MIT
Group:          Networking/WWW
URL:            https://opensource.conformal.com/wiki/xombrero

Source0:        https://opensource.conformal.com/snapshots/%{name}/%{name}-%{version}.tgz
Patch0:         xxxterm-1.8.0-mdv-desktop.patch
Patch10:        xxxterm-1.11.3-mga-correct-resource_dir.patch
Patch11:        xxxterm-1.11.3-mga-use-duckduckgo-as-home-and-search-engine.patch
Patch20:        xombrero-1.4.0-mga-fix-installing-the-desktop-file.patch

BuildRequires:  libsoup-devel gnutls-devel libbsd-devel
BuildRequires:  webkitgtk-devel gtk+2-devel
BuildRequires:  groff-for-man
Requires:       glib-networking
Obsoletes:      xxxterm
Provides:       xxxterm

%description
%{name} is a minimalist web browser with sophisticated security features
designed-in (rather than through an add-on). In particular, it provides both
persistent and per-session controls for scripts and cookies, making it easy
to thwart tracking and scripting attacks.

In additional to providing a familiar mouse-based interface like other web
browsers, it offers a set of vi-like keyboard commands for users who prefer
to keep their hands on their keyboard.

The default settings provide a secure environment. With simple keyboard
commands, the user can "whitelist" specific sites, allowing cookies and scripts
from those sites. 


%prep
%setup -q
%patch0 -p0
%patch10 -p0
%patch11 -p0
%patch20 -p0

%build
# GTK_VERSION gtk3 isn't working correctly
export GTK_VERSION=gtk2
pushd linux
export CFLAGS="%{optflags}"
%make OPTIMIZE="%{optflags}"
popd

%install
export PREFIX=%{buildroot}/usr

pushd linux
%makeinstall
popd

for s in 16 32 48 64 128; do
    install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/
    ln -s ../../../../%{name}/%{name}icon${s}.png %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done

install -d -m 0755 %{buildroot}%{_docdir}/%{name}
cat > %{buildroot}%{_docdir}/%{name}/LICENSE << EOF
-= License =-

/*
 * Copyright (c) 2010, 2011 Marco Peereboom <marco@peereboom.us>
 * Copyright (c) 2011 Stevan Andjelkovic <stevan@student.chalmers.se>
 * Copyright (c) 2010, 2011 Edd Barrett <vext01@gmail.com>
 * Copyright (c) 2011 Todd T. Fries <todd@fries.net>
 * Copyright (c) 2011 Raphael Graf <r@undefined.ch>
 * Copyright (c) 2011 Michal Mazurek <akfaew@jasminek.net>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

-= javascript.h license =-

Javascript code was borrowed from the friendly folks at vimprobable2 under the following license:

/*
Copyright (c) 2009 Leon Winter
Copyright (c) 2009-2011 Hannes Schueller
Copyright (c) 2009-2010 Matto Fransen
Copyright (c) 2010-2011 Hans-Peter Deifel
Copyright (c) 2010-2011 Thomas Adam
Copyright (c) 2011 Albert Kim
Copyright (c) 2011 Daniel Carl

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
EOF

%files
%doc %{_docdir}/%{name}
%{_mandir}/man1/%{name}.*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/style.css
%{_datadir}/%{name}/tld-rules
%{_datadir}/%{name}/hsts-preload
%{_datadir}/%{name}/tordisabled.ico
%{_datadir}/%{name}/torenabled.ico
%{_datadir}/%{name}/xombrero.css
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 387240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 kamil <kamil> 1.4.0-1.mga3
+ Revision: 335502
- add new BR: groff-for-man
- rediff correct-resource_dir.patch
- rediff use-duckduckgo-as-home-and-search-engine.patch
- remove link-javascriptcoregtk.patch, not needed anymore
- add P20 mga-fix-installing-the-desktop-file.patch
- fix Provides and Obsoletes
- cleaning
- install correctly 1.4.0
- rediff P0
- update spec against new upstream name
- rename to xombrero

* Wed Dec 26 2012 kamil <kamil> 1.11.3-4.mga3
+ Revision: 335386
- add P11: mga-use-duckduckgo-as-home-and-search-engine.patch
- add P10 mga-correct-resource_dir.patch

* Wed Dec 26 2012 kamil <kamil> 1.11.3-3.mga3
+ Revision: 335356
- require glib-networking - needed for https://

* Sun Dec 02 2012 kamil <kamil> 1.11.3-2.mga3
+ Revision: 324916
- clean .spec

* Sat Apr 28 2012 kamil <kamil> 1.11.3-1.mga3
+ Revision: 234073
- imported package xxxterm

